$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formMtrAutomatico").on("submit", function (e) {
        guardarMtrAutomatico(e);
    });
    $("#formMtrManual").on("submit", function (e) {
        guardarMtrManual(e);
    });
    $("#formDetalle").on("submit", function (e) {
        guardarDetalle(e);
    });    
});

$(document).ready(function () {
    var m = document.getElementById("m").value;
    $('#detalle-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/detalle.php?op=listar&fil=dt&m=" + m,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    combo_Asignatura(m);
});
function combo_Asignatura(m) {
    $.post("../../controller/detalle.php?op=comboAsignatura&m=" + m, function (data) {
        $('#asignatura').html(data);
    });
}
function eliminar(detalledbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/detalle.php?op=eliminar_detalle", {detalledbk: detalledbk}, function (data) {
                $('#detalle-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}
function nuevoMtrManual() {
    $('#asignatura').val('').trigger('change');
    $('#tipo').val('').trigger('change');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formMtrManual')[0].reset();
    $('#mtrManual').modal('show');
}
function nuevoMtrAutomatico() {
    $('#nivel').val('').trigger('nivel');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formMtrAutomatico')[0].reset();
    $('#mtrAutomatico').modal('show');
}
function guardarMtrManual(e) {
    e.preventDefault();
    var formData = new FormData($("#formMtrManual")[0]);
    $.ajax({
        url: '../../controller/detalle.php?op=guardar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#detalle-data').DataTable().ajax.reload();
            $('#mtrManual').modal('hide');
            Swal.fire({
                title: 'Operación Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function guardarDetalle(e) {
    e.preventDefault();
    var formData = new FormData($("#formDetalle")[0]);
    $.ajax({
        url: '../../controller/detalle.php?op=actualizar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#detalle-data').DataTable().ajax.reload();
            $('#mantenimientoDetalle').modal('hide');
            Swal.fire({
                title: 'Operación Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function guardarMtrAutomatico(e) {    
    e.preventDefault();
    var formData = new FormData($("#formMtrAutomatico")[0]);
    $.ajax({
        url: '../../controller/detalle.php?op=guardarAutomatico',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#detalle-data').DataTable().ajax.reload();
            $('#mtrAutomatico').modal('hide');
            Swal.fire({
                title: 'Operación Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function editar(detalledbk) {
    $.post("../../controller/detalle.php?op=consultar_detalle", {detalledbk: detalledbk}, function (data) {
        data = JSON.parse(data);        
        $('#detalledbk').val(data.detalledbk);
        $('#tipo').val(data.tipo).trigger("change");        
    });
    $('#lblTitulo').html('Editar Detalle');
    $('#mantenimientoDetalle').modal('show');
}